Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225843 - Merge Review: gnome-vfs2
Summary: Merge Review: gnome-vfs2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:55 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-22 04:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-22 04:36:09 UTC
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (deleted)
2010-10-18 08:42 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:55:51 UTC
Fedora Merge Review: gnome-vfs2

http://cvs.fedora.redhat.com/viewcvs/devel/gnome-vfs2/
Initial Owner: alexl@redhat.com

Comment 1 Ville Skyttä 2007-03-06 21:18:30 UTC
What is the license of this package?  License tag says LGPL, upstream tarball
contains both GPL and LGPL license texts, and only the GPL file is included in
binary packages.

Comment 2 Alexander Larsson 2007-03-07 10:11:49 UTC
The library is LGPL, and some executables are GPL.

Comment 3 Parag AN(पराग) 2010-10-18 08:42:39 UTC
Created attachment 454040 [details]
spec cleanup

Please commit this git patch that will clean this package for this review or allow to commit.

Comment 4 Tomáš Bžatek 2010-10-18 09:57:15 UTC
Why did you remove all version checks from Requires/BuildRequires? I know we have new versions of everything in rawhide nowadays but still we might want to bump some dependency one day, introducing versioning back.

> @@ -102,12 +85,6 @@ library, and other features.
>  Summary: Libraries and include files for developing GNOME VFS applications
>  Group: Development/Libraries
>  Requires:   %{name} = %{version}-%{release}
> -Requires:   GConf2-devel >= %{gconf2_version}
> -Requires:   hal-devel >= %{hal_version}
> -Requires:   dbus-devel >= %{dbus_version}
> -Requires:   dbus-glib-devel >= %{dbus_glib_version}
> -Requires:   pkgconfig
Why did you remove these explicit devel packages requires? They're there for purpose.

Otherwise all other changes look good. This package is considered dead anyway and will be removed in near or far future. It is maintained only as a dependency for packages that have not been ported to GIO yet.

Comment 5 Parag AN(पराग) 2010-10-18 10:25:50 UTC
1) Removing versioned BR:
=> Yes you are correct. We first used to build dependencies for this package and then this package. If that is the case then why to un-necessarily write versioned BR:?

I think repoquery is the best option to check which packages need to be bumped as part of any dependent package bump.


2) Removing explicit Requires:
==> Guidelines says https://fedoraproject.org/wiki/PackagingGuidelines#Explicit_Requires

If I have missed any explicit requires, please tell me and will add it back to suggested patch.

For your reference here is modified scratch package build
http://koji.fedoraproject.org/koji/taskinfo?taskID=2540235

And See Requires generated automatically from .pc files at
Processing files: gnome-vfs2-devel-2.24.4-2.fc15.x86_64
Requires: /usr/bin/pkg-config libgnomevfs-2.so.0()(64bit) pkgconfig(gconf-2.0) pkgconfig(gmodule-no-export-2.0) pkgconfig(gobject-2.0) pkgconfig(gthread-2.0)

Compared to older version
Processing files: gnome-vfs2-devel-2.24.4-1.fc15.x86_64
Requires: /usr/bin/pkg-config libgnomevfs-2.so.0()(64bit) pkgconfig(gconf-2.0) pkgconfig(gmodule-no-export-2.0) pkgconfig(gobject-2.0) pkgconfig(gthread-2.0)


Looks both are equal. When I looked into .pc files I have not found any reference to pull dbus and hal dependencies.


Please correct me if I am wrong.

Comment 6 Parag AN(पराग) 2010-10-20 12:07:45 UTC
I will commit this tomorrow.

Comment 7 Parag AN(पराग) 2010-10-22 04:36:09 UTC
Committed the above patch and built in gnome-vfs2-2.24.4-1.fc15

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.